Name:           fastd
Version:        17
Release:        2%{?dist}
Summary:        Fast and secure tunneling daemon

License:        BSD
URL:            https://projects.universe-factory.net/projects/fastd
Source0:        http://git.universe-factory.net/fastd/snapshot/fastd-%{version}.zip

BuildRequires:  cmake
BuildRequires:  python-sphinx

BuildRequires:  bison
BuildRequires:  json-c-devel
BuildRequires:  libcap-devel
BuildRequires:  libsodium-devel
BuildRequires:  libuecc-devel
BuildRequires:  openssl-devel
BuildRequires:  systemd

Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd

%description
fastd is a secure tunneling daemon with some unique features:

 - Very small binary (about 100KB on OpenWRT in the default configuration,
   including all dependencies besides libc)
 - Exchangable crypto methods
 - Transport over UDP for simple usage behind NAT
 - Can run in 1:1 and 1:n scenarios
 - There are no server and client roles defined by the protocol, this is just
   defined by the usage.
 - Only one instance of the daemon is needed on each host to create a full mesh
   If no full mesh is established, a routing protocol is necessary to enable
   hosts that are not connected directly to reach each other

%prep
%setup -q


%build
%cmake -DENABLE_OPENSSL=TRUE .
make %{?_smp_mflags}

# build documentation
pushd doc
  make text
popd

%install
%make_install

install -Dpm 0644 doc/examples/fastd@.service $RPM_BUILD_ROOT/%{_unitdir}/%{name}@.service
install -Dpm 0644 doc/fastd.1 $RPM_BUILD_ROOT/%{_mandir}/man1/%{name}.1
install -d $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}


%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service


%files
%doc README doc/build/text/*
%license COPYRIGHT
%dir %{_sysconfdir}/%{name}
%{_mandir}/man1/%{name}.1.gz
%{_unitdir}/%{name}@.service
%{_bindir}/%{name}


%changelog
* Sun Mar 01 2015 Felix Kaechele <heffer@fedoraproject.org> - 17-2
- mark license file as %%license
- build docs with sphinx

* Tue Feb 10 2015 Felix Kaechele <heffer@fedoraproject.org> - 17-1
- update to version 17

* Tue Nov 25 2014 Felix Kaechele <heffer@fedoraproject.org> - 16-1
- update to version 16

* Sun Jul 13 2014 Felix Kaechele <heffer@fedoraproject.org> - 14-1
- update to v14

* Sat Mar 29 2014 Felix Kaechele <heffer@fedoraproject.org> - 12-1
- first package version
